POST /api/v202510/energymanager/chat

Create a VEM chat for the user making the request. It requires the 'VirtualEnergyManager' feature flag to be enabled for the user.

CreateChatV202510 Permissions: EnergyManagerModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

VemChatCreateV202510
Property Description Type
allowChatTitleGeneration Allow automatic generation of chat title based on the first prompt. boolean
firstPrompt First prompt / user message to start the chat. This is a required field when AllowChatTitleGeneration = true. It’s ignored otherwise. Required when AllowChatTitleGeneration is set to True, case sensitive. string
vemChatInfo VEM Chat name / chat title. This is a required field. When AllowChatTitleGeneration = true, this field will be used as fallback if title generation fails. Must be between 0 and 50 characters Required string
Example Request Body application/json
{  "allowChatTitleGeneration": false,  "firstPrompt": "string",  "vemChatInfo": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

VemChatResponseV202510
Property Description Type
createdDate Date/time offset representing when VEM chat was created string (date-time)
vemChatId The identifier for the VEM chat integer (int32)
vemChatInfo VEM Chat name / chat title string
Example Response application/json
{  "createdDate": "2026-03-30",  "vemChatId": 1,  "vemChatInfo": "string"
}